diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index e196efa0d..61bf717fd 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -1986,6 +1986,7 @@ define([
       this.$customSearchBox = $el;
       this.$customSearchBox.attr('type','search');
       this.$customSearchBox.on('keydown', this.search.bind(this));
+      this.$customSearchBox.on('mousedown', this.search.bind(this));
       return this;
     },
 
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index 9031bc49c..dff68eaa1 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -500,6 +500,7 @@ define([
 
               coll.sort();
               this.dbObjectFilter = this.DbObjectFilter(coll);
+              coll.fullCollection = this.dbObjectFilter.shadowCollection;
 
               /**
                 privArray holds objects selected which further helps
@@ -513,7 +514,6 @@ define([
               */
               coll.on('backgrid:selected', function(model, selected) {
                 model.set('selected', selected);
-
                 var object_type = model.get('object_type');
                 switch (object_type) {
                 case 'Function':
diff --git a/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss b/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss
index 5975d607d..185a2f694 100644
--- a/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss
+++ b/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss
@@ -12,7 +12,7 @@
 }
 
 .db_objects_grid {
-  height: 100%;
+  height: calc(100% - 15px);
 }
 
 .db_objects_filter {
@@ -49,7 +49,7 @@
   overflow: auto;
   width: 100%;
   /* 100% minus thead height */
-  height: calc(100% - 28px);
+  height: calc(100% - 40px);
 }
 
 .object_type_table tbody tr {
